# -*- coding: utf-8 -*-

# Copyright (c) 2002 - 2007 Detlev Offenbach <detlev@die-offenbachs.de>
#

"""
Module defining configuration variables for the VCS package
"""

from PyQt4.QtGui import QApplication
from PyQt4.QtCore import QStringList

#####################################################################
## Subversion specific stuff below
#####################################################################

# Available subversion variants
ConfigSvnSystems = ['Subversion']

# Display strings for the available subversion variants
# This list must be kept in sync with the one above.
ConfigSvnSystemsDisplay = QStringList()
ConfigSvnSystemsDisplay.append(\
   QApplication.translate('VCS Systems', 'Subversion (svn)'))

try:
    import pysvn
    ConfigSvnSystems.append('PySvn')
    ConfigSvnSystemsDisplay.append(\
       QApplication.translate('VCS Systems', 'Subversion (pysvn)'))
except ImportError:
    pass

#####################################################################
## General stuff below
#####################################################################

# Available version control systems
ConfigVcsSystems = ['None', 'CVS'] + ConfigSvnSystems

# Display strings for the available version control systems
# This list must be kept in sync with the one above.
ConfigVcsSystemsDisplay = QStringList()
ConfigVcsSystemsDisplay.append(\
    QApplication.translate('VCS Systems', 'None'))
ConfigVcsSystemsDisplay.append(\
   QApplication.translate('VCS Systems', 'CVS'))
for svn in ConfigSvnSystemsDisplay:
    ConfigVcsSystemsDisplay.append(svn)

# List of indicators (directory or file) for a specific
# version control system.
ConfigVcsSystemIndicators = [('CVS','CVS'),
                             ('Subversion', '.svn'), 
                             ('Subversion', '_svn'), 
]

# List of VCS that support login/logout functionality    
ConfigVcsAuthSystems = ['CVS']
